> For the complete documentation index, see [llms.txt](https://docs.outpoll.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.outpoll.com/api/rest-api/public-endpoints/get-categories.md).

# Get Categories

`GET`

### Overview

Retrieve all event categories. Use this endpoint to build filters or navigation.

### Authentication

No authentication required.

### Request

* Method: `GET`
* Path: `/api/categories`
* Query parameters: None

### Response `200 OK`

```json
[
  {
    "i": "category-id",
    "n": "Crypto",
    "s": "crypto",
    "pi": null,
    "sc": [
      {
        "i": "sub-id",
        "n": "Bitcoin",
        "s": "bitcoin"
      }
    ]
  }
]
```

| Field | Type   | Description                   |
| ----- | ------ | ----------------------------- |
| i     | string | Category ID                   |
| n     | string | Category name                 |
| s     | string | Category slug                 |
| pi    | string | Parent category ID, or `null` |
| sc    | array  | Nested subcategories          |

### Error variants

Common public endpoint errors:

| Code | Description                         |
| ---- | ----------------------------------- |
| 400  | Bad Request — Invalid parameters    |
| 404  | Not Found — Resource does not exist |
| 500  | Internal Server Error               |

**Error response**

```json
{
  "status": 400,
  "error": "Bad Request",
  "message": "Invalid parameters"
}
```

### Python example

{% code title="get\_categories.py" %}

```python
import requests

response = requests.get(
    "https://event-service.outpoll.com/api/categories",
    timeout=10,
)
response.raise_for_status()

for category in response.json():
    print(f"{category['n']} ({category['s']})")
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.outpoll.com/api/rest-api/public-endpoints/get-categories.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
